<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.7
Name: Mission
Description: Mission Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116">
   <title>Mission</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]
Item: (MissionSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]
Item: (MissionSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]"
         id="d132e943-false-d41851e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(MissionSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MissionSection): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MissionSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(MissionSection): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7'])&gt;=1">(MissionSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7'])&lt;=1">(MissionSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:title)&lt;=1">(MissionSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:text)&lt;=1">(MissionSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.54']][hl7:templateId[@root='2.16.840.1.113883.10.12.302']]])&lt;=1">(MissionSection): Element hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.54']][hl7:templateId[@root='2.16.840.1.113883.10.12.302']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.30']]])&lt;=1">(MissionSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.30']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]])&lt;=1">(MissionSection): Element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']
Item: (MissionSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']"
         id="d132e949-false-d42467e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.3.7')">(MissionSection): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.3.7' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MissionSection): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:title
Item: (MissionSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:title"
         id="d132e954-false-d42488e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:text
Item: (MissionSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:text"
         id="d132e956-false-d42502e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.7-2017-06-12T170116.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.54']][hl7:templateId[@root='2.16.840.1.113883.10.12.302']]]
Item: (MissionSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.30']]]
Item: (MissionSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]
Item: (MissionSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.7']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.60']]]
Item: (MissionSection)
--></pattern>
