<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.61
Name: Pretreatment Procedure
Description: Pretreatment Procedure
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949">
   <title>Pretreatment Procedure</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]
Item: (PretreatmentProcedure)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]"
         id="d132e1787-false-d51319e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="string(@classCode)=('PROC')">(PretreatmentProcedure): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PretreatmentProcedure): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="string(@moodCode)=('EVN')">(PretreatmentProcedure): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PretreatmentProcedure): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61'])&gt;=1">(PretreatmentProcedure): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61'])&lt;=1">(PretreatmentProcedure): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.306'])&gt;=1">(PretreatmentProcedure): Element hl7:templateId[@root='2.16.840.1.113883.10.12.306'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.306'])&lt;=1">(PretreatmentProcedure): Element hl7:templateId[@root='2.16.840.1.113883.10.12.306'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:code)&lt;=1">(PretreatmentProcedure): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:text)&lt;=1">(PretreatmentProcedure): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:statusCode)&lt;=1">(PretreatmentProcedure): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:effectiveTime)&lt;=1">(PretreatmentProcedure): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:priorityCode)&lt;=1">(PretreatmentProcedure): Element hl7:priorityCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:languageCode)&lt;=1">(PretreatmentProcedure): Element hl7:languageCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:performer)&lt;=1">(PretreatmentProcedure): Element hl7:performer kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']"
         id="d132e1793-false-d51454e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.61')">(PretreatmentProcedure): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.61' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PretreatmentProcedure): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:templateId[@root='2.16.840.1.113883.10.12.306']
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:templateId[@root='2.16.840.1.113883.10.12.306']"
         id="d132e1798-false-d51475e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="string(@root)=('2.16.840.1.113883.10.12.306')">(PretreatmentProcedure): Der Wert von @root MUSS '2.16.840.1.113883.10.12.306' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PretreatmentProcedure): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:id
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:id"
         id="d132e1803-false-d51496e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:code
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:code"
         id="d132e1806-false-d51510e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or (@codeSystem='2.16.756.5.30.1.1.11.13')">(PretreatmentProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.756.5.30.1.1.11.13'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:text
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:text"
         id="d132e1811-false-d51530e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:statusCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:statusCode"
         id="d132e1813-false-d51544e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(PretreatmentProcedure): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:effectiveTime
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:effectiveTime"
         id="d132e1818-false-d51569e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:priorityCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:priorityCode"
         id="d132e1820-false-d51583e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PretreatmentProcedure): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:languageCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:languageCode"
         id="d132e1825-false-d51608e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:methodCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:methodCode"
         id="d132e1831-false-d51626e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(PretreatmentProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.1065'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:approachSiteCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:approachSiteCode"
         id="d132e1836-false-d51646e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(PretreatmentProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.1052'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:targetSiteCode
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:targetSiteCode"
         id="d132e1841-false-d51666e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(PretreatmentProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.1052'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer"
         id="d132e1846-false-d51686e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:time)&lt;=1">(PretreatmentProcedure): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:assignedEntity)&gt;=1">(PretreatmentProcedure): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:assignedEntity)&lt;=1">(PretreatmentProcedure): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:time
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:time"
         id="d132e1848-false-d51718e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity"
         id="d132e1850-false-d51732e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(PretreatmentProcedure): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:id)&gt;=1">(PretreatmentProcedure): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="count(hl7:code)&lt;=1">(PretreatmentProcedure): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity/hl7:id
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity/hl7:id"
         id="d132e1854-false-d51764e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.61
Context: *[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (PretreatmentProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]/hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="d132e1856-false-d51778e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.61-2017-07-12T214949.html"
              test="@nullFlavor or (@codeSystem='2.16.756.5.30.1.1.11.20')">(PretreatmentProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.756.5.30.1.1.11.20'' sein.</assert>
   </rule>
</pattern>
