<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.8
Name: Patient
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534">
   <title>Patient</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]
Item: (PatientSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]"
         id="d132e989-false-d43141e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(PatientSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PatientSection): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(PatientSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PatientSection): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8'])&gt;=1">(PatientSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8'])&lt;=1">(PatientSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:id)&lt;=1">(PatientSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:code)&lt;=1">(PatientSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:title)&lt;=1">(PatientSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="count(hl7:text)&lt;=1">(PatientSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']"
         id="d132e995-false-d43420e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.3.8')">(PatientSection): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.3.8' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PatientSection): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:id
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:id"
         id="d132e1000-false-d43441e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:code
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:code"
         id="d132e1002-false-d43455e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientSection): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10871 DocumentSectionType (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:title
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:title"
         id="d132e1008-false-d43480e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:text
Item: (PatientSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:text"
         id="d132e1010-false-d43494e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.8-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:entry
Item: (PatientSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.300
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:entry
Item: (CDAClinicalStatement)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:entry">
      <let name="elmcount"
           value="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.301']]|hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.302']]|hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.303']]|hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.304']]|hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.305']]|hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.306']]|hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.307']]|hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.308']]|hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.309']])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.301']] oder hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.302']] oder hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.303']] oder hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.304']] oder hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.305']] oder hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.306']] oder hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.307']] oder hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.308']] oder hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.309']]) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.301']] oder hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.302']] oder hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.303']] oder hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.304']] oder hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.305']] oder hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.306']] oder hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.307']] oder hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.308']] oder hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.309']]) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.8
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.8']]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.12.201']]]
Item: (PatientSection)
--></pattern>
