<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.9
Name: Pretreatment
Description: Pretreatment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534">
   <title>Pretreatment</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]
Item: (PretreatmentSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]"
         id="d132e1030-false-d43869e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(PretreatmentSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PretreatmentSection): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(PretreatmentSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PretreatmentSection): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9'])&gt;=1">(PretreatmentSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9'])&lt;=1">(PretreatmentSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:id)&lt;=1">(PretreatmentSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:code)&lt;=1">(PretreatmentSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:title)&lt;=1">(PretreatmentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="count(hl7:text)&lt;=1">(PretreatmentSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']"
         id="d132e1036-false-d44011e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.3.9')">(PretreatmentSection): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.3.9' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PretreatmentSection): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:id
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:id"
         id="d132e1041-false-d44032e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:code
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:code"
         id="d132e1043-false-d44046e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PretreatmentSection): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10871 DocumentSectionType (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:title
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:title"
         id="d132e1049-false-d44071e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:text
Item: (PretreatmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:text"
         id="d132e1051-false-d44085e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.9-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PretreatmentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.9
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.9']]/hl7:entry[hl7:procedure[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.61']][hl7:templateId[@root='2.16.840.1.113883.10.12.306']]]
Item: (PretreatmentSection)
--></pattern>
