<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.57
Name: Mission Destination Location Site Latitude
Description: Mission Destination Location Site Latitude Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139">
   <title>Mission Destination Location Site Latitude</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.57
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]
Item: (MissionDestinationLocationSiteLatitudeObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.57
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]
Item: (MissionDestinationLocationSiteLatitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]"
         id="d132e1567-false-d50479e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(MissionDestinationLocationSiteLatitudeObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MissionDestinationLocationSiteLatitudeObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="string(@moodCode)=('EVN')">(MissionDestinationLocationSiteLatitudeObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(MissionDestinationLocationSiteLatitudeObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(MissionDestinationLocationSiteLatitudeObservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57'])&gt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57'])&lt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:value)&gt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="count(hl7:value)&lt;=1">(MissionDestinationLocationSiteLatitudeObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.57
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']
Item: (MissionDestinationLocationSiteLatitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']"
         id="d132e1575-false-d50543e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLatitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.57')">(MissionDestinationLocationSiteLatitudeObservation): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.57' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MissionDestinationLocationSiteLatitudeObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.57
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (MissionDestinationLocationSiteLatitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:code[(@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d132e1580-false-d50564e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLatitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="@nullFlavor or (@code='52002-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ambulance transport, Destination site latitude coordinate')">(MissionDestinationLocationSiteLatitudeObservation): Der Elementinhalt MUSS einer von 'code '52002-3' codeSystem '2.16.840.1.113883.6.1' displayName='Ambulance transport, Destination site latitude coordinate'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.57
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:value
Item: (MissionDestinationLocationSiteLatitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]/hl7:value"
         id="d132e1586-false-d50584e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLatitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="$digitok or @nullFlavor">(MissionDestinationLocationSiteLatitudeObservation): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MissionDestinationLocationSiteLatitudeObservation): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="string(@unit)=('deg')">(MissionDestinationLocationSiteLatitudeObservation): Der Wert von @unit MUSS 'deg' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.57-2017-06-14T221139.html"
              test="not(@unit) or string-length(@unit)&gt;0">(MissionDestinationLocationSiteLatitudeObservation): Attribute @unit MUSS vom Datentyp 'st' sein</assert>
   </rule>
</pattern>
