<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.58
Name: Mission Destination Location Site Longitude
Description: Mission Incident Location Site Longitude Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509">
   <title>Mission Destination Location Site Longitude</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.58
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]
Item: (MissionDestinationLocationSiteLongitudeObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.58
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]
Item: (MissionDestinationLocationSiteLongitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]"
         id="d132e1617-false-d50632e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(MissionDestinationLocationSiteLongitudeObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MissionDestinationLocationSiteLongitudeObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="string(@moodCode)=('EVN')">(MissionDestinationLocationSiteLongitudeObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(MissionDestinationLocationSiteLongitudeObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(MissionDestinationLocationSiteLongitudeObservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58'])&gt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58'])&lt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:value)&gt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="count(hl7:value)&lt;=1">(MissionDestinationLocationSiteLongitudeObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.58
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']
Item: (MissionDestinationLocationSiteLongitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']"
         id="d132e1625-false-d50696e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLongitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.58')">(MissionDestinationLocationSiteLongitudeObservation): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.58' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MissionDestinationLocationSiteLongitudeObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.58
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (MissionDestinationLocationSiteLongitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:code[(@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d132e1630-false-d50717e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLongitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="@nullFlavor or (@code='52003-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ambulance transport, Destination site longitude coordinate')">(MissionDestinationLocationSiteLongitudeObservation): Der Elementinhalt MUSS einer von 'code '52003-1' codeSystem '2.16.840.1.113883.6.1' displayName='Ambulance transport, Destination site longitude coordinate'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.58
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:value
Item: (MissionDestinationLocationSiteLongitudeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]/hl7:value"
         id="d132e1636-false-d50737e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationSiteLongitudeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="$digitok or @nullFlavor">(MissionDestinationLocationSiteLongitudeObservation): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MissionDestinationLocationSiteLongitudeObservation): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="string(@unit)=('deg')">(MissionDestinationLocationSiteLongitudeObservation): Der Wert von @unit MUSS 'deg' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.58-2017-06-14T225509.html"
              test="not(@unit) or string-length(@unit)&gt;0">(MissionDestinationLocationSiteLongitudeObservation): Attribute @unit MUSS vom Datentyp 'st' sein</assert>
   </rule>
</pattern>
