<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.59
Name: Mission Destination Location Organizer
Description: Mission Destination Location Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105">
   <title>Mission Destination Location Organizer</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]
Item: (MissionDestinationLocationOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]
Item: (MissionDestinationLocationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]"
         id="d132e1689-false-d50784e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="string(@classCode)=('CLUSTER')">(MissionDestinationLocationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MissionDestinationLocationOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MissionDestinationLocationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(MissionDestinationLocationOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59'])&gt;=1">(MissionDestinationLocationOrganizer): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59'])&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:code)&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:statusCode[@code='COMPLETED' or @nullFlavor])&gt;=1">(MissionDestinationLocationOrganizer): Element hl7:statusCode[@code='COMPLETED' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:statusCode[@code='COMPLETED' or @nullFlavor])&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:statusCode[@code='COMPLETED' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:effectiveTime)&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]])&gt;=1">(MissionDestinationLocationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]])&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]])&gt;=1">(MissionDestinationLocationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]])&lt;=1">(MissionDestinationLocationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']
Item: (MissionDestinationLocationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']"
         id="d132e1695-false-d50918e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.59')">(MissionDestinationLocationOrganizer): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.59' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MissionDestinationLocationOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:code
Item: (MissionDestinationLocationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:code"
         id="d132e1700-false-d50939e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(MissionDestinationLocationOrganizer): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:statusCode[@code='COMPLETED' or @nullFlavor]
Item: (MissionDestinationLocationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:statusCode[@code='COMPLETED' or @nullFlavor]"
         id="d132e1705-false-d50959e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="@nullFlavor or (@code='COMPLETED')">(MissionDestinationLocationOrganizer): Der Elementinhalt MUSS einer von 'code 'COMPLETED'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:effectiveTime
Item: (MissionDestinationLocationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:effectiveTime"
         id="d132e1711-false-d50979e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.59-2017-06-14T113105.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MissionDestinationLocationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.57']]]
Item: (MissionDestinationLocationOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.59
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.59']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.58']]]
Item: (MissionDestinationLocationOrganizer)
--></pattern>
